@#example@
@(load "graph-view.stklos")@
@(define konigsberg (graph '(a b c d) 
                           '((a c) (a c) (a d) (a d) (b c) (b d))))@
@(map (lambda (v x y)
	(set-double-attribute! 'tmp-x-coord x v)
	(set-double-attribute! 'tmp-y-coord y v))
     (set-vertex->list (vertices konigsberg)) 
     '(.1 .9 .5 .5) '(.5 .5 .9 .1))@

@(define kview (make <graph-view> :graph konigsberg 
                                  :layout 'custom))@

@(define (set-font x)
       (set! (font x) "-*-times-bold-i-normal--18-240-*-*-*-*-*-*"))@
@(map set-font (vertices kview))@
@(map set-font (edges kview))@
@(define title (make <text-item> :text "The Koenigsberg Bridges"
		 	:parent (slot-ref kview 'graph-canvas)
		 	:coords '(150 280)
			:font "-*-times-bold-i-normal--24-240-*-*-*-*-*-*"))@
@(define bound (make <rectangle> 
                :parent (slot-ref kview 'graph-canvas)
                :coords '(3 3 297 297)
                :width 3))@
@#endexample@
@(bye)@
